/* --------------------------------------------------------------------------
** 	Programma di esempio *** NON TESTATO *** per mostrare l'utilizzo di
**	alcune funzioni base del terminale, per le altre leggere il contenuto
**	dei file inlude.
**	Scritto in C18 utilizza una RoboBoard 2.1 con PIC 18F2640 a 40MHz
**
**	File  : settings.c	Ver.: 0.0.1	- Creato: 01/03/08	Modificato: 01/03/08
**	
**	Autore: Roberto D'Amico (bobboteck(at)gmail.com)
**
**	Dipendenze: 
**
**	Porte usate:
**	PORTD bit 0	(OUT) collegato al pin LCD RS
**	PORTD bit 1 (OUT) collegato al pin LCD EN
**	PORTD bit 2 (OUT) collegato al pin CLK del 74574
**	PORTD bit 3 (IN) collegato al comune dei pulsanti
**	PORTD bit 4-7 (OUT) collegato ai pin LCD data bit 4-7, 74574 e ai 4 pulsanti
**	PORTE bit 0-2 (OUT) collegato ai led della RB2.1
**
**	NOTE
**	
**
**	Novit
**	-------
**	- 
**
** ----------------------------------------------------------------------- */
#include <p18F4620.h>
#include <delays.h>
#include "terminale.h"
/*===========================================================================*/
/*====                        DEFINIZIONE PRAGMA                         ====*/
/*===========================================================================*/
#pragma config OSC	= HSPLL		// Usare con quarzo da 10MHz e PPL 4x
#pragma config WDT	= OFF
#pragma config PWRT	= ON
#pragma config LVP	= OFF
#pragma config MCLRE = ON
/*===========================================================================*/
/*====                              DEFINE                               ====*/
/*===========================================================================*/
#define LED_VERDE_RB	PORTEbits.RE0	// LED sulla RoboBoard
#define LED_GIALLO_RB	PORTEbits.RE1	// LED sulla RoboBoard
#define LED_ROSSO_RB	PORTEbits.RE2	// LED sulla RoboBoard
/*===========================================================================*/
/*====                          COSTANTI GLOBALI                         ====*/
/*===========================================================================*/
rom const char lcd_table_menu[][17] = { "MiniTerminale   ",
										"Versione 0.0.1  "};
//-----------------------------------------------------------------------------
// Esempio di programma per l'utilizzo del terminale
//-----------------------------------------------------------------------------
void main(void)
{
	PORTD=0x00;			// Mette a zero tutti i bit della PortD
	TRISD=0b00001000;	// Completamente utilizzata per il terminale, per informazioni sulla configurazione guarda terminale.h
	// Inizializzazione del display
	lcd_init();
	lcd_clear();
	//Il lampeggio dei led potrebbe essere fatto come indicazione di stato delle varie inizializzazioni
	lampeggio_led_ter();
	// Mostra messaggio terminato boot pronto all'uso
	lcd_pos_cur(0,0);
	lcd_rom_puts(&(lcd_table_menu[0][0]));
	lcd_pos_cur(1,0);
	lcd_rom_puts(&(lcd_table_menu[1][0]));
	while(1);
}
